# signs.cpp File Reference

Handling of signs. More...

`#include "stdafx.h"`
`#include "landscape.h"`
`#include "signs_base.h"`
`#include "signs_func.h"`
`#include "strings_func.h"`
`#include "viewport_func.h"`
`#include "zoom_func.h"`
`#include "functions.h"`
`#include "oldpool_func.h"`
`#include "table/strings.h"`

Go to the source code of this file.

## Functions
void | UpdateSignVirtCoords (Sign *si)
| Update the coordinate of one sign.
void | UpdateAllSignVirtCoords ()
| Update the coordinates of all signs.
void | MarkSignDirty (Sign *si)
| Marks the region of a sign as dirty.
void | InitializeSigns ()
| Initialize the signs.

## Detailed Description

Handling of signs.

Definition in file signs.cpp.

## Function Documentation

void InitializeSigns | ( |  | ) |

Initialize the signs.

Definition at line 81 of file signs.cpp.

void UpdateSignVirtCoords | ( | Sign * | si | ) |

Update the coordinate of one sign.

Parameters:

  | si | Pointer to the Sign

Definition at line 41 of file signs.cpp.

References Point::x, and Point::y.

Referenced by CmdPlaceSign(), CmdRenameSign(), and UpdateAllSignVirtCoords().